# AI Shell

AI-powered shell command generator using DeepSeek V3 model via OpenAI-compatible API.

## Features

- Generate shell commands from natural language descriptions
- Interactive execution confirmation (Enter to execute, n to cancel)
- Supports multiple languages for prompts and responses
- Uses DeepSeek V3 model for high-quality command generation
- User-friendly interface with default execution on Enter

## Usage

```bash
uv run python ai.py "your command description here"
```

## Setup

1. Install dependencies:
   ```bash
   uv sync
   ```

2. Run the tool:
   ```bash
   uv run python ai.py "list all files in current directory"
   uv run python ai.py "show disk usage"
   uv run python ai.py "find all Python files"
   ```

## Configuration

- **Model**: DeepSeek V3 (deepseek-v3-250324)
- **API**: Volces (ByteDance) OpenAI-compatible interface
- **Base URL**: https://ark.cn-beijing.volces.com/api/v3/

## Requirements

- Python 3.12+
- UV package manager with configured Chinese mirrors for fast downloads
